## org.apache.poi.ss.usermodel.charts
Interface ScatterChartData

All Superinterfaces:
  ChartData

All Known Implementing Classes:
  XSSFScatterChartData

    public interface ScatterChartData

extends ChartData

Author:
  Roman Kashitsyn

Method Summary
`ScatterChartSerie` `addSerie(ChartDataSource<?> xs, ChartDataSource<? extends java.lang.Number> ys)`
`java.util.List<? extends ScatterChartSerie>` `getSeries()`

Methods inherited from interface org.apache.poi.ss.usermodel.charts.ChartData
`fillChart`

Method Detail

### addSerie

    ScatterChartSerie addSerie(ChartDataSource<?> xs,
                               ChartDataSource<? extends java.lang.Number> ys)

  Parameters:
    `xs` - data source to be used for X axis values
    `ys` - data source to be used for Y axis values
  Returns:
    a new scatter charts serie

### getSeries

    java.util.List<? extends ScatterChartSerie> getSeries()

  Returns:
    list of all series

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.